using CD67.FicheCollege.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace CD67.FicheCollege.MVC.Models
{
    public class ImportActionEduViewModel
    {
        public int Annee_Id;
        public string Annee_Lib = "";

        public List<int> actionsEdu_ids = new List<int>();
        public List<string> actionsEdu_noms = new List<string>();
        public List<string> actionsEdu_nums = new List<string>();
        public List<string> actionsEdu_statuts = new List<string>();
        public List<List<string>> actionsEdu_averts = new List<List<string>>();
        public List<bool> selection = new List<bool>();

        public void set_liste(List<ActionEdu> actionsEdu)
        {
            foreach (ActionEdu actionEdu in actionsEdu)
            {
                actionsEdu_ids.Add(actionEdu.Id);
                actionsEdu_noms.Add(actionEdu.Nom);
                actionsEdu_nums.Add(actionEdu.Numero);
                actionsEdu_statuts.Add(actionEdu.ActionEduStatut.Nom);
                actionsEdu_averts.Add(new List<string>());
                selection.Add(false);
            }
        }
    }
}